package main

import (
	"go.wit.com/lib/protobuf/gitpb"
	"go.wit.com/log"
)

func Delete(repo *gitpb.Repo, s map[string]string) bool {
	if repo.Published == nil {
		log.Info("published is nil", repo.Published)
	} else {
		log.Info("published len", repo.Published.Len())
	}

	// add a new one here
	newr := gitpb.Repo{
		FullPath:         repo.FullPath,
		GoPath:           repo.GoPath,
		URL:              repo.URL,
		Tags:             repo.Tags,
		LastPull:         repo.LastPull,
		MasterBranchName: repo.MasterBranchName,
		DevelBranchName:  repo.DevelBranchName,
		UserBranchName:   repo.UserBranchName,
		GoLibrary:        repo.GoLibrary,
		GoBinary:         repo.GoBinary,
		GoPrimitive:      repo.GoPrimitive,
		GoPlugin:         repo.GoPlugin,
		GoDeps:           repo.GoDeps,
		LastGoDep:        repo.LastGoDep,
		Dirty:            repo.Dirty,
		Published:        repo.Published,
		TargetVersion:    repo.TargetVersion,
		ReadOnly:         repo.ReadOnly,
		GoProtobuf:       repo.GoProtobuf,
	}
	if argv.Fix {
		me.forge.Repos.AppendUniqueGoPath(&newr)
	}
	return true
}
